> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gleap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete old AI content batches

> Delete all AI content except the current batch



## OpenAPI

````yaml https://api.gleap.io/api-docs.json delete /aicontent/oldbatches
openapi: 3.0.0
info:
  title: gleap-server
  version: 14.0.0
  contact: {}
servers:
  - url: https://api.gleap.io/v3
security: []
paths:
  /aicontent/oldbatches:
    delete:
      tags:
        - AI content
      summary: Delete old AI content batches
      description: Delete all AI content except the current batch
      operationId: RemoveOldBatches
      parameters:
        - in: header
          name: project
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              properties:
                type:
                  type: string
                currentBatchId:
                  type: string
              required:
                - currentBatchId
              type: object
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                properties:
                  deleted: {}
                  success:
                    type: boolean
                required:
                  - deleted
                  - success
                type: object
      security:
        - jwt: []
components:
  securitySchemes:
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT

````